import { shallow, mount } from 'enzyme';
import React from 'react';
import { Navbar } from 'web-foundation';

describe('<Navbar />', function() {
    it('should initialize all nice like', function() {
        const wrapper = mount(
            <Navbar />
        );

        expect(wrapper.type()).to.equal(Navbar);
    });

    it('should have component class name', function() {
        const wrapper = shallow(<Navbar />);

        expect(wrapper.hasClass('navbar')).to.be.true;
    });

    it('should apply a \'fixed\' class via prop', function() {
        const wrapper = shallow(<Navbar fixed />);

        expect(wrapper.hasClass('fixed')).to.be.true;
    });
});
